# Hooks

- [useAsync](https://docs.corets.io/hooks/use-async.md): React hook for async operations.
- [useAffect](https://docs.corets.io/hooks/useaffect.md): React hook for async side effects
- [useStream](https://docs.corets.io/hooks/use-stream.md): React hook for repeating async operations.
- [useAction](https://docs.corets.io/hooks/use-action.md): React hook for imperative async operations.
- [useDebounce](https://docs.corets.io/hooks/use-debounce.md): React hook for debounced values and functions.
- [useThrottle](https://docs.corets.io/hooks/use-throttle.md): React hook for throttled values and functions.
- [usePrevious](https://docs.corets.io/hooks/use-previous.md): Track previous versions of values.
- [useIdle](https://docs.corets.io/hooks/use-idle.md): Detect when a user goes idle.
- [useValue](https://docs.corets.io/hooks/use-value.md): React hooks for the @corets/value package.
- [useList](https://docs.corets.io/hooks/use-list.md): React hooks for the @corets/list package.
- [useStore](https://docs.corets.io/hooks/use-store.md): React hooks for the @corets/store package.
- [useForm](https://docs.corets.io/hooks/use-form.md): React hooks for the @corets/form package.
- [useFormBinder](https://docs.corets.io/hooks/use-form-binder.md): React bindings for the @corets/form package.
- [useTranslator](https://docs.corets.io/hooks/use-translator.md): React hooks for the @corets/translator package.
- [useQuery](https://docs.corets.io/hooks/use-query.md): Hooks for react-router query parameters.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.corets.io/hooks.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
